<script>
  import { browser } from '$app/environment';
  import { UserManager } from 'oidc-client-ts';
  // if not in a browser, this will cause an error (during pre-rendering/sso)
  if (browser) {
    // @ts-expect-error we need to send AN object here to initialize, but we don't need any options,
    //                  we're just sending the result to the parent of this iframe
    const manager = new UserManager({});
    manager.signinCallback();
  }
</script>

<h1>Hack the planet!</h1>

<p>But not this page, it's empty ☹️</p>
